package com.yeejoin.amos.fas.business.param;

import com.yeejoin.amos.fas.core.common.request.CommonPageable;

public class PointListParam extends CommonPageable{
	
	/**
	 * 编号
	 */
	private String pointNo;
	
	/**
	 * 名称
	 */
	private String pointName;
	
	/**
	 * 责任部门
	 */
	private Long departmentId;
	
	/**
	 * 巡检点id
	 */
	private Long pointId;
	
	/**
	 * 检查项分类
	 */
	private String inputType;
	
	private Long fmeaId;
	
	/**
	 * 公司
	 */
	private String orgCode;

	private String[] bindingPointIds;

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public Long getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(Long departmentId) {
		this.departmentId = departmentId;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public Long getPointId() {
		return pointId;
	}

	public void setPointId(Long pointId) {
		this.pointId = pointId;
	}

	public String getInputType() {
		return inputType;
	}

	public void setInputType(String inputType) {
		this.inputType = inputType;
	}

	public Long getFmeaId() {
		return fmeaId;
	}

	public void setFmeaId(Long fmeaId) {
		this.fmeaId = fmeaId;
	}

	public String[] getBindingPointIds() {
		return bindingPointIds;
	}

	public void setBindingPointIds(String[] bindingPointIds) {
		this.bindingPointIds = bindingPointIds;
	}
}
